      ***--------------------------------------------------------------*
      *** Revision History                                             *
      ***--------------------------------------------------------------*
      ***  $Log: cascbsmg.cpy,v $
      ***  Revision 1.1  2005/10/17 15:15:25  jeremyc
      ***  RPI: NOTAPDR: Merge JCL work
      ***
      ***  Revision 1.1  2005/07/20 14:07:57  dmf
      ***  Start of movement of CASSPOOL.DLL into JCL component
      ***
      ***  Revision 1.4  2005/06/10 00:44:07  sc
      ***  sc-j55 First step moving ES JES Spool to JCL group; casspool
      ***         created; interfaces created; printer function moved;
      ***    Mod: casc8srv.cpy cascbjsi.cpy cascbsmg.cpy cascbspo.cpy
      ***         cascpjes.cpy casouta.cbl  casprn.cbl   casspool.cbl
      ***         cassuba.cbl  casutla.cbl  messages     txmake.ctl
      ***
      ***  Revision 1.3  2004/08/18 03:03:53  sc
      ***  jes-14 Initial work on Accept/Display. This provides the
      ***         internal infrastructure to support these functions.
      ***         This delivery also contains some bits for CSC. The
      ***         ESMAC function to respond to an accept from console
      ***         is missing. The module casrdo9g is a static test
      ***         for the function that could be used for testing.
      ***    Mod: casbat.cbl  cscaccept.cbl cascbctl.cpy cascbsmg.cpy
      ***         cascpsrv.cpy casprn.cbl   casrdo44.cbl casrdo9d.cbl
      ***         casrdo9f.cbl casrdo9g.cbl cassuba.cbl  cgitask.cbl
      ***         dfhc8scp.cpy dfhc8srv.cpy dfhcbenq.cpy dfhcbtmp.cpy
      ***         dfhcpdup.cpy dfhcpenq.cpy dfhcpgrq.cpy dfheserv.cbl
      ***         hellow.cbl
      ***
      ***  Revision 1.2  2004/07/16 16:19:44  njf
      ***  nx-200 - add console message option to server
      ***           config interface.
      ***  Modules: cascpsrv.cpy cascbmsg.cpy
      ***
      ***  Revision 1.1  2004/05/03 14:05:49  sc
      ***  jes-01 Add batch Job Entry Subsystem (JES) function.
      ***    Mod: See TXMAKE.CTL header for complete list
      ***
      ***--------------------------------------------------------------*

       01  (tag)-srv-console-msg.
           03  (tag)-srv-cmsg-version               pic x(4) comp-5.
               88  (tag)-srv-cmsg-current-ver-88    value 0.
           03  (tag)-srv-cmsg-type                  pic x(4) comp-5.
               88  (tag)-srv-cmsg-info-type-88      value 0.
               88  (tag)-srv-cmsg-rh-type-88        value 1.
               88  (tag)-srv-cmsg-rts-type-88       value 2.
               88  (tag)-srv-cmsg-jcl-type-88       value 3.
               88  (tag)-srv-cmsg-ext-type-88       value 3.
nx-200         88  (tag)-srv-cmsg-display-type-88   value 4.
           03  (tag)-srv-cmsg-number                pic x(4) comp-5.
           03  (tag)-srv-cmsg-size                  pic x(4) comp-5.
           03  (tag)-srv-cmsg-severity              pic x(4) comp-5.
               88  (tag)-srv-cmsg-sev-info-88       value 0.
               88  (tag)-srv-cmsg-sev-warn-88       value 4.
               88  (tag)-srv-cmsg-sev-error-88      value 8.
               88  (tag)-srv-cmsg-sev-severe-88     value 12.
               88  (tag)-srv-cmsg-sev-unrecov-88    value 16.
           03  (tag)-srv-cmsg-work                  pic x(4) comp-5.
           03  occurs 2                             pic x(4) comp-5.
           03  (tag)-srv-cmsg-ptr                   pointer.
           03  (tag)-srv-cmsg-return-ptr            pointer.
           03   occurs 3                            pointer.
      ***--------------------------------------------------------------*
      ***
      *** Return codes:  0  Normal
      ***               -1  Error
      ***
      ***--------------------------------------------------------------*

       78  78-acpi-entry-name          value 'SRV_CONSOLE_ACCEPT'.
       01  (tag)-acpi-request.
           03  (tag)-acpi-version                   pic x(4) comp-5.
               88  (tag)-acpi-current-version-88    value 0.
           03  (tag)-acpi-type                      pic x(4) comp-5.
               88  (tag)-acpi-type-info-88          value 0.
               88  (tag)-acpi-type-rh-88            value 1.
               88  (tag)-acpi-type-rts-88           value 2.
               88  (tag)-acpi-type-jcl-88           value 3.
               88  (tag)-acpi-type-display-88       value 4.
           03  (tag)-acpi-buffer-size               pic x(4) comp-5.
           03   occurs 5 times                      pic x(4) comp-5.
           03  (tag)-acpi-buffer-ptr                pointer.
           03   occurs 7 times                      pointer.
      ***--------------------------------------------------------------*
      ***
      *** Return codes:  0  Normal
      ***               -1  Error
      ***               -2  Cancel requested
      ***
      ***--------------------------------------------------------------*

       01  (tag)-srv-console-msg-data.
           03  pic x occurs 0 to 256 times
                     depending on (tag)-srv-cmsg-size.

       01  (tag)-srv-return-msg-data.
           03  (tag)-srv-return-msg-length          pic x(2)  comp-x.
           03  (tag)-srv-return-msg.
               04  pic x occurs 0 to 256 times
                         depending on (tag)-srv-return-msg-length.

      ***--------------------------------------------------------------*
      ***  $Workfile:   cascbsmg.cpy  $ end
      ***--------------------------------------------------------------*
